> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Delete a component by ID

DELETE https://api.contentful.com/spaces/{spaceId}/environments/{environmentId}/components/{id}

Reference: https://contentful.com/developers/docs/references/experience-management-api/components/delete-component

## Authentication

- `Authorization` header (bearer token, required) — Contentful Management API token

## Request

### Path parameters

- `spaceId` (string, required)
- `environmentId` (string, required)
- `id` (string, required)

### Query parameters

- `access_token` (string, optional)

## Response

### 204

204

## Errors

### 400 Bad Request Error

400

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

### 401 Unauthorized Error

401

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

### 403 Forbidden Error

403

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

### 404 Not Found Error

404

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

### 409 Conflict Error

409

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

### 422 Unprocessable Entity Error

422

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `details` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaDetails, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

### 500 Internal Server Error

500

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

### 503 Service Unavailable Error

503

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

## Types

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaSys

- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `Error`

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaI18NContext

- `code` (string, required)
- `pluralCount` (double, optional)
- `parameters` (map from string to SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaDetails

- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaDetails0
- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaDetails1

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters

- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters0
- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters1
- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters2
- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters3
- SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters4

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaDetails0

- `errors` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaDetails1

- `errors` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1ErrorsItems, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters0

- `type` (enum, required)
  - Allowed values: `string`
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters1

- `type` (enum, required)
  - Allowed values: `number`
- `value` (double, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters2

- `type` (enum, required)
  - Allowed values: `date`
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters3

- `type` (enum, required)
  - Allowed values: `array.string`
- `value` (list of string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters4

- `type` (enum, required)
  - Allowed values: `array.number`
- `value` (list of double, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1ErrorsItems

- `message` (string, required)
- `references` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1ErrorsItemsReferencesItems, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1ErrorsItemsReferencesItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1ErrorsItemsReferencesItemsSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentsIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1ErrorsItemsReferencesItemsSys

- `type` (enum, required)
  - Allowed values: `ResourceLink`
- `linkType` (string, required)
- `urn` (string, required)